#ifndef SOCKET_H
#define SOCKET_H

/*
 * @(#)Socket.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2002 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

class Socket {
	int fd;
	class BufferedReader *inputStream;
public:
	Socket(int fd);
	~Socket();
	const char *getInetAddress();
	class BufferedReader &getInputStream();
	int getOutputStream();
	int getPort();
};

#endif
